CreateVmInstanceFromVolumeSnapshot
CreateVmInstanceFromVolumeSnapshot
/zstack/v1/vm-instances/from/volume-snapshots/{volumeSnapshotUuid}Operation ID
CreateVmInstanceFromVolumeSnapshotSince
4.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
volumeSnapshotUuidStringRequiredThe snapshot group UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. Optional. The detailed description of the resource.
instanceOfferingUuidStringOptional. The instance offering UUID.
cpuNumIntegerOptional. The number of CPU cores.
memorySizeLongOptional. The memory size.
l3NetworkUuidsListRequiredThe L3 network UUID.
typeStringOptional. The VM type. This is a reserved field.
platformStringThe VM platform type.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
hostUuidStringOptional. The host UUID.
primaryStorageUuidStringOptional. The UUID of the primary storage.
defaultL3NetworkUuidStringOptional. The default L3 network UUID.
strategyStringOptional. The policy that specifies whether to start a VM instance when the instance is created.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
